## How to contribute to HedgeDoc react-client

Thanks for your interest in contributing. Here are some common scenarios for what you may want to contribute to.

#### Do you have questions about the project?

* Feel free to post your question on our [Discourse][discourse] or join our [Matrix Support Channel][matrix-support].

#### Did you find a bug?

* **Ensure the bug wasn't already reported** by searching on GitHub under [Issues][issues].

* If you're unable to find an open issue addressing the problem, [open a new one][new_issue]. Be sure to use one of the templates we provide if your request applies to them. If not, use the 'Question / Other' template.

#### Did you write a patch that fixes a bug?

* Open a new GitHub pull request with the patch.

* Ensure the PR description is precise about the problem and your solution. Just fill out our template. That should cover the most important information.

#### Do you intend to add a new feature or change an existing one?

* Suggest your idea in the [HedgeDoc Dev Channel][matrix-dev] and start writing code. Our maintainers and other project developers can provide useful details about the architecture and show you relevant issues and discussions.

#### Do you want to work on translations?

If you want to improve a translation or add a new translation altogether, we handle those via [POEditor][poeditor].

HedgeDoc is a volunteer effort. We encourage you to pitch in and to help us making this project even better.

Thanks! :heart: :heart: :heart:

[issues]: https://github.com/codimd/react-client/issues
[new_issue]: https://github.com/codimd/react-client/issues/new/choose
[matrix-support]: https://matrix.to/#/#hedgedoc:matrix.org
[matrix-dev]: https://matrix.to/#/#hedgedoc-dev:matrix.org
[discourse]: https://community.codimd.org/
[poeditor]: https://translate.codimd.org/
